#!/bin/bash
if [ ! -d /usr/share/cups/model ]; then
 sudo mkdir /usr/share/cups/model
fi
if [ ! -d /usr/share/cups/model/UTAX_TA ]; then
sudo mkdir /usr/share/cups/model/UTAX_TA
fi
sudo cp CLP3550.PPD /usr/share/cups/model/UTAX_TA/CLP3550.PPD
sudo cp kyofilter_B /usr/lib/cups/filter/kyofilter_B
sudo chmod 555 /usr/lib/cups/filter/kyofilter_B
if [ -f /usr/lib/cups/filter/kyofilter_B ] && 
[ -f /usr/share/cups/model/UTAX_TA/CLP3550.PPD ]; then
echo "Installation completed"
else
echo "Installation failed"
fi
